RubyGems Navigation menu

rubocop 0.30.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Gemfile:
= Copy to clipboard Copied!

install:
=

Versions:

  1. 1.65.0 - July 10, 2024 (628 KB)
  2. 1.64.1 - May 31, 2024 (626 KB)
  3. 1.64.0 - May 23, 2024 (626 KB)
  4. 1.63.5 - May 09, 2024 (623 KB)
  5. 1.63.4 - April 28, 2024 (623 KB)
  6. 0.30.0 - April 06, 2015 (255 KB)
Show all versions (274 total)

Runtime Dependencies (5):

astrolabe ~> 1.3
parser < 3.0, >= 2.2.0.1
powerpack ~> 0.1
rainbow < 3.0, >= 1.99.1

Development Dependencies (5):

bundler ~> 1.3
rake ~> 10.1
rspec ~> 3.1.0
simplecov ~> 0.7
yard ~> 0.8

Owners:

Authors:

  • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

SHA 256 checksum:

= Copy to clipboard Copied!

Total downloads 436,655,853

For this version 266,641

License:

MIT

Required Ruby Version: >= 1.9.3

New versions require MFA: true

Links: